## gst-rtsp-server1.0 1.26.6

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 11:26:31 +0200

=== debian/control ===
Source: gst-rtsp-server1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-rtsp-server1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Marc Leeman <marc.leeman@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               meson (>= 0.62),
               pkgconf,
               libglib2.0-dev (>= 2.62),
               libgstreamer1.0-dev (>= 1.26.0),
               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
               libgstreamer-plugins-bad1.0-dev (>= 1.26.0),
               gobject-introspection,
               libgirepository1.0-dev,
               gir1.2-gstreamer-1.0 (>= 1.26.0),
               gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
               gstreamer1.0-plugins-base (>= 1.26.0),
               gstreamer1.0-plugins-good (>= 1.26.0),
               gstreamer1.0-plugins-bad (>= 1.26.0)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
Homepage: https://gstreamer.freedesktop.org

Package: libgstrtspserver-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libgstrtspserver-1.0-0 (= ${binary:Version}),
         libgstreamer-plugins-base1.0-dev,
         libgstreamer1.0-dev,
         libglib2.0-dev,
         gir1.2-gst-rtsp-server-1.0 (= ${binary:Version})
Description: GStreamer RTSP Server (development files)
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for the GStreamer RTSP Server.

Package: libgstrtspserver-1.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gstreamer1.0-plugins-base (>= 1.26.0),
         gstreamer1.0-plugins-good (>= 1.26.0),
         gstreamer1.0-plugins-bad (>= 1.26.0)
Description: GStreamer RTSP Server (shared library)
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the shared library for the GStreamer RTSP Server.

Package: gir1.2-gst-rtsp-server-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GStreamer RTSP Server
 gst-rtsp-server is a library on top of GStreamer for building an RTSP
 server or embedding RTSP server capabilities into applications.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains introspection data for the GStreamer RTSP Server.

Package: gstreamer1.0-rtsp
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstrtspserver-1.0-0 (= ${binary:Version})
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: RTSP plugin for GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for RTSP.

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-rtsp-server/ gst-rtsp-server-(1\.26\.[\d]+)@ARCHIVE_EXT@

## gst-rtsp-server1.0 1.26.7

=== meson_options.txt ===
# Feature options for plugins with no external deps
option('rtspclientsink', type : 'feature', value : 'auto')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true,
       description : 'Build the examples')
option('tests', type : 'feature', value : 'auto', yield : true,
       description : 'Build and enable unit tests')
option('introspection', type : 'feature', value : 'auto', yield : true,
       description : 'Generate gobject-introspection bindings')

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string',
       value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')
option('glib_debug', type : 'feature', value : 'auto', yield : true, description : 'Enable GLib debug infrastructure (see docs/macros.txt)')
option('glib_assert', type : 'boolean', value : true, yield : true, description : 'Enable GLib assertion (see docs/macros.txt)',
  deprecated: {'enabled' : 'true', 'disabled' : 'false', 'auto' : 'false'},
)
option('glib_checks', type : 'boolean', value : true, yield : true, description : 'Enable GLib checks such as API guards (see docs/macros.txt)',
  deprecated: {'enabled' : 'true', 'disabled' : 'false', 'auto' : 'false'},
)

# Deprecated, kept for backward compat
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_debug')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_assert')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_checks')

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.7-1) unstable; urgency=medium

  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 11:05:33 +0200

## gst-rtsp-server1.0 1.26.8

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.8-1) unstable; urgency=medium

  * d/control: bump meson version to match meson.build
  * d/control: Replace libgirepository1.0-dev with gobject-introspection (Closes: #1118837)
  * d/control: add ${gir:Provides}
  * d/control: add ${gir:Depends}
  * d/control: bump Build-Depends to 4.7.2
  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 11:47:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,19 @@
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf,
                libglib2.0-dev (>= 2.62),
                libgstreamer1.0-dev (>= 1.26.0),
                libgstreamer-plugins-base1.0-dev (>= 1.26.0),
                libgstreamer-plugins-bad1.0-dev (>= 1.26.0),
-               gobject-introspection,
-               libgirepository1.0-dev,
+               gobject-introspection (>= 1.80),
                gir1.2-gstreamer-1.0 (>= 1.26.0),
                gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
                gstreamer1.0-plugins-base (>= 1.26.0),
                gstreamer1.0-plugins-good (>= 1.26.0),
                gstreamer1.0-plugins-bad (>= 1.26.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
@@ -30,11 +29,13 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
+         ${gir:Depends},
          libgstrtspserver-1.0-0 (= ${binary:Version}),
          libgstreamer-plugins-base1.0-dev,
          libgstreamer1.0-dev,
          libglib2.0-dev,
          gir1.2-gst-rtsp-server-1.0 (= ${binary:Version})
+Provides: ${gir:Provides}
 Description: GStreamer RTSP Server (development files)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.
@@ -75,6 +76,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the GStreamer RTSP Server
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.26.9

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.9-1) unstable; urgency=medium

  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 10:08:48 +0100

## gst-rtsp-server1.0 1.26.10

=== debian/changelog ===
gst-rtsp-server1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 20:15:43 +0100

## gst-rtsp-server1.0 1.27.2

=== debian/changelog ===
gst-rtsp-server1.0 (1.27.2-1) experimental; urgency=medium

  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 12:58:41 +0200

gst-rtsp-server1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin to 1.26.x"
  * d/gbp.conf: adjust for experimental
  * d/control: API change, gst deps to 1.27.1
  * New upstream version 1.27.1
  * d/control: bump Standards-Version

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 Aug 2025 14:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               meson (>= 1.4.0),
+               meson (>= 0.62),
                pkgconf,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.26.0),
-               gobject-introspection (>= 1.80),
-               gir1.2-gstreamer-1.0 (>= 1.26.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
-               gstreamer1.0-plugins-base (>= 1.26.0),
-               gstreamer1.0-plugins-good (>= 1.26.0),
-               gstreamer1.0-plugins-bad (>= 1.26.0)
+               libgstreamer1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-bad1.0-dev (>= 1.27.2),
+               gobject-introspection,
+               libgirepository1.0-dev,
+               gir1.2-gstreamer-1.0 (>= 1.27.2),
+               gir1.2-gst-plugins-base-1.0 (>= 1.27.2),
+               gstreamer1.0-plugins-base (>= 1.27.2),
+               gstreamer1.0-plugins-good (>= 1.27.2),
+               gstreamer1.0-plugins-bad (>= 1.27.2)
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
@@ -29,13 +30,11 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         ${gir:Depends},
          libgstrtspserver-1.0-0 (= ${binary:Version}),
          libgstreamer-plugins-base1.0-dev,
          libgstreamer1.0-dev,
          libglib2.0-dev,
          gir1.2-gst-rtsp-server-1.0 (= ${binary:Version})
-Provides: ${gir:Provides}
 Description: GStreamer RTSP Server (development files)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.
@@ -53,9 +52,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.26.0),
-         gstreamer1.0-plugins-good (>= 1.26.0),
-         gstreamer1.0-plugins-bad (>= 1.26.0)
+         gstreamer1.0-plugins-base (>= 1.27.2),
+         gstreamer1.0-plugins-good (>= 1.27.2),
+         gstreamer1.0-plugins-bad (>= 1.27.2)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.
@@ -76,7 +75,6 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Provides: ${gir:Provides}
 Description: GObject introspection data for the GStreamer RTSP Server
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export HOME=$(CURDIR)/fake-home

# upstream version
gst_version=$(shell echo $(DEB_VERSION) | cut -d '-' -f 1)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled -Ddoc=disabled

override_dh_auto_test:

execute_after_dh_shlibdeps:
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
		dh_girepository -pgir1.2-gst-rtsp-server-1.2
	rm -rf $(CURDIR)/fake-home

override_dh_makeshlibs:
	dh_makeshlibs -plibgstrtspserver-1.0-0 -V 'libgstrtspserver-1.0-0 (>= $(gst_version))' -- -c4

## gst-rtsp-server1.0 1.27.50

=== debian/changelog ===
gst-rtsp-server1.0 (1.27.50-3) experimental; urgency=medium

  * d/control: Replace libgirepository1.0-dev with gobject-introspection

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:58:27 +0100

gst-rtsp-server1.0 (1.27.50-2) experimental; urgency=medium

  * d/control: update dependencies to >= 1.27.50

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:53:27 +0100

gst-rtsp-server1.0 (1.27.50-1) experimental; urgency=medium

  * New upstream version 1.27.50

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:14:46 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,15 @@
                meson (>= 0.62),
                pkgconf,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.2),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
-               libgstreamer-plugins-bad1.0-dev (>= 1.27.2),
-               gobject-introspection,
-               libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.27.2),
-               gir1.2-gst-plugins-base-1.0 (>= 1.27.2),
-               gstreamer1.0-plugins-base (>= 1.27.2),
-               gstreamer1.0-plugins-good (>= 1.27.2),
-               gstreamer1.0-plugins-bad (>= 1.27.2)
+               libgstreamer1.0-dev (>= 1.27.50),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
+               libgstreamer-plugins-bad1.0-dev (>= 1.27.50),
+               gobject-introspection (>= 1.80),
+               gir1.2-gstreamer-1.0 (>= 1.27.50),
+               gir1.2-gst-plugins-base-1.0 (>= 1.27.50),
+               gstreamer1.0-plugins-base (>= 1.27.50),
+               gstreamer1.0-plugins-good (>= 1.27.50),
+               gstreamer1.0-plugins-bad (>= 1.27.50)
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
@@ -35,6 +34,7 @@
          libgstreamer1.0-dev,
          libglib2.0-dev,
          gir1.2-gst-rtsp-server-1.0 (= ${binary:Version})
+Provides: ${gir:Provides}
 Description: GStreamer RTSP Server (development files)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.
@@ -52,9 +52,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.27.2),
-         gstreamer1.0-plugins-good (>= 1.27.2),
-         gstreamer1.0-plugins-bad (>= 1.27.2)
+         gstreamer1.0-plugins-base (>= 1.27.50),
+         gstreamer1.0-plugins-good (>= 1.27.50),
+         gstreamer1.0-plugins-bad (>= 1.27.50)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.
@@ -75,6 +75,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the GStreamer RTSP Server
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.27.90

=== debian/changelog ===
gst-rtsp-server1.0 (1.27.90-1) experimental; urgency=medium

  * New upstream version 1.27.90
  * d/control: update dependencies to 1.27.90

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 06 Jan 2026 11:55:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                meson (>= 0.62),
                pkgconf,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.50),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
-               libgstreamer-plugins-bad1.0-dev (>= 1.27.50),
+               libgstreamer1.0-dev (>= 1.27.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
+               libgstreamer-plugins-bad1.0-dev (>= 1.27.90),
                gobject-introspection (>= 1.80),
-               gir1.2-gstreamer-1.0 (>= 1.27.50),
-               gir1.2-gst-plugins-base-1.0 (>= 1.27.50),
-               gstreamer1.0-plugins-base (>= 1.27.50),
-               gstreamer1.0-plugins-good (>= 1.27.50),
-               gstreamer1.0-plugins-bad (>= 1.27.50)
+               gir1.2-gstreamer-1.0 (>= 1.27.90),
+               gir1.2-gst-plugins-base-1.0 (>= 1.27.90),
+               gstreamer1.0-plugins-base (>= 1.27.90),
+               gstreamer1.0-plugins-good (>= 1.27.90),
+               gstreamer1.0-plugins-bad (>= 1.27.90)
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
@@ -52,9 +52,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.27.50),
-         gstreamer1.0-plugins-good (>= 1.27.50),
-         gstreamer1.0-plugins-bad (>= 1.27.50)
+         gstreamer1.0-plugins-base (>= 1.27.90),
+         gstreamer1.0-plugins-good (>= 1.27.90),
+         gstreamer1.0-plugins-bad (>= 1.27.90)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.28.0

=== debian/changelog ===
gst-rtsp-server1.0 (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * d/control: update dependencies to 1.28.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 15:05:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
-               libgstreamer-plugins-bad1.0-dev (>= 1.27.90),
+               libgstreamer1.0-dev (>= 1.28.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.28.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.28.0),
                gobject-introspection (>= 1.80),
-               gir1.2-gstreamer-1.0 (>= 1.27.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.27.90),
-               gstreamer1.0-plugins-base (>= 1.27.90),
-               gstreamer1.0-plugins-good (>= 1.27.90),
-               gstreamer1.0-plugins-bad (>= 1.27.90)
+               gir1.2-gstreamer-1.0 (>= 1.28.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.28.0),
+               gstreamer1.0-plugins-base (>= 1.28.0),
+               gstreamer1.0-plugins-good (>= 1.28.0),
+               gstreamer1.0-plugins-bad (>= 1.28.0)
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
@@ -29,6 +29,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
+         ${gir:Depends},
          libgstrtspserver-1.0-0 (= ${binary:Version}),
          libgstreamer-plugins-base1.0-dev,
          libgstreamer1.0-dev,
@@ -52,9 +53,9 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.27.90),
-         gstreamer1.0-plugins-good (>= 1.27.90),
-         gstreamer1.0-plugins-bad (>= 1.27.90)
+         gstreamer1.0-plugins-base (>= 1.28.0),
+         gstreamer1.0-plugins-good (>= 1.28.0),
+         gstreamer1.0-plugins-bad (>= 1.28.0)
 Description: GStreamer RTSP Server (shared library)
  gst-rtsp-server is a library on top of GStreamer for building an RTSP
  server or embedding RTSP server capabilities into applications.

## gst-rtsp-server1.0 1.28.1

=== debian/changelog ===
gst-rtsp-server1.0 (1.28.1-1) unstable; urgency=medium

  * d/control: update to Standards-Version 4.7.3
  * New upstream version 1.28.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 26 Feb 2026 13:37:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gst-rtsp-server1.0
 Section: libs
-Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-rtsp-server1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
@@ -18,7 +17,7 @@
                gstreamer1.0-plugins-base (>= 1.28.0),
                gstreamer1.0-plugins-good (>= 1.28.0),
                gstreamer1.0-plugins-bad (>= 1.28.0)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-rtsp-server1.0/
